import e from "./value.js";
//#region ../../node_modules/d3-interpolate/src/object.js
function t(t, n) {
	var r = {}, i = {}, a;
	for (a in (typeof t != "object" || !t) && (t = {}), (typeof n != "object" || !n) && (n = {}), n) a in t ? r[a] = e(t[a], n[a]) : i[a] = n[a];
	return function(e) {
		for (a in r) i[a] = r[a](e);
		return i;
	};
}
//#endregion
export { t as default };
